Page MenuHomePhabricator

[Hexagon] Add new InstrItinClass to support timing classes.
ClosedPublic

Authored by jverma on Apr 25 2014, 12:42 PM.

Details

Reviewers
adasgupt
Summary

This patch adds new InstrItinClass for the Hexagon backend.

Diff Detail

Event Timeline

jverma updated this revision to Diff 8855.Apr 25 2014, 12:42 PM
jverma retitled this revision from to [Hexagon] Add new InstrItinClass to support timing classes..
jverma updated this object.
jverma edited the test plan for this revision. (Show Details)
jverma added a reviewer: adasgupt.
jverma added a subscriber: Unknown Object (MLST).
adasgupt edited edge metadata.May 2 2014, 9:27 AM

Test cases: Can you capture the change in timing classes as a scheduling change that can be tested?

Anshu,

These timing classes have no effect on V4 instruction set so there is no easy way to test them at this point. However, I'll be adding tests to verify timing classes when add V5 support.

adasgupt accepted this revision.May 2 2014, 12:31 PM
adasgupt edited edge metadata.

Okay, please remember to add tests when you add v5 support. It need not be an elaborate set though that would be even better :)). We should have tests to ensure that the timing classes are actually consumed and used in codegen.

This revision is now accepted and ready to land.May 2 2014, 12:31 PM
Eugene.Zelenko closed this revision.Oct 3 2016, 5:13 PM
Eugene.Zelenko added a subscriber: Eugene.Zelenko.

Committed in rL208349.